<?php
include('/home/worksmidiacom/cvprov/config/cvprov.config.php');

switch($_POST['step']){
case 0: $num1 = rand(10000,99999);
		$num2 = rand(10000,99999);
		$ident = $num1.'-'.$num2;
		$sql = $conecta->query("SELECT ordem FROM categorias ORDER BY ordem DESC LIMIT 1");
		while ($consulta = $sql->fetch_assoc())
		{$ordem = $consulta['ordem'] + 1;}
		$sql1 = $conecta->query("INSERT INTO categorias(identificador, nome, descricao, ordem, status) VALUES ('".$ident."','".$_POST['nome']."','-','".$ordem."','1')");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 1: $sql = $conecta->query("UPDATE categorias SET nome = '".$_POST['nome']."' WHERE id = '".$_POST['id']."'");
echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 2: $sql = $conecta->query("DELETE FROM categorias WHERE id = '".$_POST['id']."'");
$sqlA = $conecta->query("SELECT id, ordem FROM categorias WHERE ordem > '".$_POST['ordem']."'");
while ($consultaA = $sqlA->fetch_assoc()){
$ordemNew = $consultaA['ordem'] - 1;
$sqlB = $conecta->query("UPDATE categorias SET ordem = '".$ordemNew."' WHERE id = '".$consultaA['id']."'");
echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';}
break;
case 3: $diretorio = DIR_BASE."assets/pratos/";

		if(!is_dir($diretorio)){ 
			echo "Pasta $diretorio nao existe";
		}else{
			$arquivo = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE;
			for ($controle = 0; $controle < count($arquivo['name']); $controle++){
				
				$destino = $diretorio."/".$arquivo['name'][$controle];
				if($arquivo['name'][$controle] != ''){
				$sql1 = $conecta->query("INSERT INTO pratos(categoria, prato, desc_prato, foto, preco, bebidas, status) VALUES ('".$_POST['categoria']."','".$_POST['prato']."','".$_POST['desc_prato']."','".$arquivo['name'][$controle]."','".number_format($_POST['preco'], 2, '.', '')."','".$_POST['bebidas']."','1')");}
				if(move_uploaded_file($arquivo['tmp_name'][$controle], $destino)){
					echo "Upload realizado com sucesso<br>";
					
				}else{
					echo "Erro ao realizar upload";
				}
				
			}
		}
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 4: $sql = $conecta->query("DELETE FROM pratos WHERE id = '".$_POST['id']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 5: $sql = $conecta->query("UPDATE pratos SET categoria='".$_POST['categoria']."',prato='".$_POST['prato']."',desc_prato='".$_POST['desc_prato']."',preco='".number_format($_POST['preco'], 2, '.', '')."',bebidas='".$_POST['bebidas']."' WHERE id = '".$_POST['id']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;
case 6: $diretorio = DIR_BASE."assets/pratos/";

		if(!is_dir($diretorio)){ 
			echo "Pasta $diretorio nao existe";
		}else{
			$arquivo = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE;
			for ($controle = 0; $controle < count($arquivo['name']); $controle++){
				
				$destino = $diretorio."/".$arquivo['name'][$controle];
				if($arquivo['name'][$controle] != ''){
				$sql1 = $conecta->query("UPDATE pratos SET foto = '".$arquivo['name'][$controle]."' WHERE id = '".$_POST['id']."'");}
				if(move_uploaded_file($arquivo['tmp_name'][$controle], $destino)){
					echo "Upload realizado com sucesso<br>";
					
				}else{
					echo "Erro ao realizar upload";
				}
				
			}
		}
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/system"/>';
break;}